function delete_column( object, index )
%DELETE_COLUMN Deletes the requested column
%   Deletes the requested column from the table.

    object.grid(:, index) = [];
    object.width = object.width-1;
    
    notify(object, 'StructureChanged');
end

